Subject: Re: What is the correct way to indicate an unassigned PCI resource ?

From: Alan <[email-masked]>
Date: Mon, 4 Dec 2006 14:44:11 +0000

>     When Linus remaps IRQ0 on x86, I'll follow that code as a testament. Until 
> this happens, I consider is just an opinion. Forcing every arch but x86 to 
> remap IRQ0 is an example of the double standards.

Yawn.. x86 does not expose IRQ 0 outside of arch specific code.
 
> > The checks need pushing upwards and removing from their current place -
> > the pci layer should check the resource length, the isa pnp should I
> > believe check for zero address etc.
> 
>     So, it's OK to remove the base *address* check in ide_hwif_confiure() 
> altogether?

IFF you move all the other checks, verify their correctness and then get
them tested for a while yes
 
> > libata makes a similar assumption in ata_resources_present() as someone
> > (GregKH ???) needs to define what the proper way to encode "resource not
> > allocated" into the PCI resources should be.
> 
> > If someone on the PCI list (cc'd) or Greg can give a definitive answer then we can go fix the
> > offenders now.
> 
>     Well, I thought that was IORESOURCE_UNSET...

It seems to depend which line of code you ask - hence the question 8(